# Record Class IdServerMailTransportSMTP_TLS

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerMailTransportSMTP_TLS

Record Components:
  `host` - The mail host
  `port` - The port

All Implemented Interfaces:
  `IdServerJSONConfigurationElementType, IdServerMailTransportConfigurationType`

public record IdServerMailTransportSMTP_TLS(String host, int port) extends Record implements IdServerMailTransportConfigurationType
Plaintext SMTP with a mandatory, authenticated STARTTLS upgrade. Strict validation of server certificates is enabled. Server certificates must be issued 1) by a certificate authority in the trust store; and 2) to a subject matching the identity of the remote SMTP server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerMailTransportSMTP_TLS(String host, int port)`
  Plaintext SMTP with a mandatory, authenticated STARTTLS upgrade.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `host()`
  Returns the value of the `host` record component.
  `int`
  `port()`
  Returns the value of the `port` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdServerMailTransportSMTP_TLS

    public IdServerMailTransportSMTP_TLS(String host, int port)
    Plaintext SMTP with a mandatory, authenticated STARTTLS upgrade. Strict validation of server certificates is enabled. Server certificates must be issued 1) by a certificate authority in the system trust store; and 2) to a subject matching the identity of the remote SMTP server.
    Parameters:
      `host` - The mail host
      `port` - The port

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### host

    public String host()
    Returns the value of the `host` record component.
    Specified by:
      `host` in interface `IdServerMailTransportConfigurationType`
    Returns:
      the value of the `host` record component

  - ### port

    public int port()
    Returns the value of the `port` record component.
    Specified by:
      `port` in interface `IdServerMailTransportConfigurationType`
    Returns:
      the value of the `port` record component